Internal error 500 for only some projects, after upgrade to 2.0

Added by Alex Guzun almost 7 years ago

Most of the project can be opened, but only few has Error 500, with something like that:

Started GET "/projects" for 10.0.0.198 at Mon May 28 16:11:35 +0200 2012
Processing by ProjectsController#index as HTML
  Rendered projects/index.html.erb within layouts/base (66.4ms)
Completed 200 OK in 129ms (Views: 90.9ms | ActiveRecord: 9.8ms)

Started GET "/projects/eregistry" for 10.0.0.147 at Mon May 28 16:11:46 +0200 2012
Processing by ProjectsController#show as HTML
  Parameters: {"id"=>"eregistry"}
  Rendered projects/_members_box.html.erb (7.8ms)
  Rendered projects/show.html.erb within layouts/base (25.4ms)
Completed 500 Internal Server Error in 349ms

ActionView::Template::Error (The single-table inheritance mechanism failed to locate the subclass: 'Subversion'. This error is raised because the colu
mn 'type' is reserved for storing the class in case of inheritance. Please rename this column if you didn't intend it to be used for storing the inher
itance class or overwrite Repository.inheritance_column to use another column for that information.):
    48:     <% end %>
    49:
    50:     <h1><%= page_header_title %></h1>
    51:
    52:     <% if display_main_menu?(@project) %>
    53:     <div id="main-menu">
    54:         <%= render_main_menu(@project) %>
  lib/redmine.rb:209
  lib/redmine/menu_manager.rb:196:in `call'
  lib/redmine/menu_manager.rb:196:in `allowed_node?'
  lib/redmine/menu_manager.rb:166:in `menu_items_for'
  lib/redmine/menu_manager.rb:165:in `each'
  lib/redmine/menu_manager.rb:165:in `menu_items_for'
  lib/redmine/menu_manager.rb:90:in `render_menu'
  lib/redmine/menu_manager.rb:80:in `render_main_menu'
  app/views/layouts/base.html.erb:51:in `_app_views_layouts_base_html_erb__686312474_97775040'
  app/controllers/projects_controller.rb:168:in `show'

Replies (17)

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

It is.

rake db:migrate RAILS_ENV=production is not a legal syntax on Windows; instead you should use 2 separate commands:

set RAILS_ENV=production
rake db:migrate

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

Thanks Ettien, this helped (even for plugin migrate command)
But why i cna't this complete info in UpgradeWiki? If not there, where can i find this info?

I do upgrades all the time with errors, because i cna't find correct info on wiki :(

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

Because Ruby is used on Linux environments most of the time and thus tools and documentation are often written for this common use.

BTW, when you see RAILS_ENV=production in a command line, just do a separate set RAILS_ENV=production.

Other instructions in the Redmine documentation should apply equally to Windows hosts.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

Understand, but there are more non documented issues, for example to move plugins folder
More than that i was using rake db:migrate RAILS_ENV=production on windows before and it was ok then

for plugins there still: rake db:migrate_plugins RAILS_ENV=production
but it used to be: rake redmine:plugins:migrate

there is not info about to run bundle package dependencie after svn update and before db migrate

i was not able to complete bundle install --without development test rmagick without installing devkit and json

no info about webrick change cmd (only mentioned in new install guide)

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

Alex Guzun wrote:

Understand, but there are more non documented issues, for example to move plugins folder
More than that i was using rake db:migrate RAILS_ENV=production on windows before and it was ok then

Guess it worked because you had the RAILS_ENV envvar set somewhere, or it should not have.

for plugins there still: rake db:migrate_plugins RAILS_ENV=production
but it used to be: rake redmine:plugins:migrate

Indeed, documentation should be updated.

there is not info about to run bundle package dependencie after svn update and before db migrate

i was not able to complete bundle install --without development test rmagick without installing devkit and json

This is more a general gem issue and once again probably specific to Windows, json gem is depending upon the installation of DevKit for the compilation of some of its runtime dependencies; Redmine is agnostic about what each version of each gem could require for its installation.

no info about webrick change cmd (only mentioned in new install guide)

AFAIK, WebRick is a development server, not a production level server.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

a lot of documentation needs to be checked afaik
and if webrick is dev server, what should i use then? Mongrel? it doesnt working, thin? How it can be done then?

maybe it is not about redmine, but overall it is about redmine service for windows (and im not alone)

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

Mongrel is often picked up on Windows environment because Passenger and Unicorn are not available on Windows and Thin and fcgi are a mess to install.

Alas, Mongrel hasn't been maintained for a long time and I'm not even sure it's still compatible with Ruby 1.9.3 (whatever you'll have to install the prerelease gem to get some result with it, i.e. use gem install mongrel --pre).

My choice went eventually to Puma, but:
  • this is a very personal choice
  • the main developer, Evan Phoenix, has recently moved from Engine Yard, a very Ruby-centric company, to LivingSocial, so there is a little risk he'll step a bit away from the server development even he his latest work tend to prove he probably won't

My two cents =)

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

Could you or someone else write the how-to for windows services? Maybe Thin and Puma would be enough.
Lots of people are asking about windows service :(

This will be completed then.

Thanks a lot.
A.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

This is a good idea, if I have some time I'll do it some day, but you can definitively start a new one if you want to.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

If i will figure out how to do it, definitely will start new wiki.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Alex Guzun almost 7 years ago

meanwhile please update install and upgrade wiki, if possible

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Etienne Massip almost 7 years ago

Alex Guzun wrote:

meanwhile please update install and upgrade wiki, if possible

I've updated them a bit yesterday.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Steven Wong over 6 years ago

OK, I've found why it happened..

in the database there's repository table contain the field [] with value:Subversion

but in redmine 2.x it should be value [Repository::Subversion]..

I updated the value and it works well.

RE: Internal error 500 for only some projects, after upgrade to 2.0 - Added by Loïs PUIG over 6 years ago

Hi,

just upgraded from 1.4 to 2.1.3.
Everything is working, i can create new issues, edit them, etc...

But for some projects i cannot view nor edit existing issues at all.
Here's my log :

Connecting to database specified by database.yml
OpenIdAuthentication.store is nil. Using in-memory store.

Started GET "/issues/552" for X.X.X.X at Mon Dec 10 15:31:59 +0100 2012
Processing by IssuesController#show as HTML
  Parameters: {"id"=>"552"}
  Current user: foo (id=1)
Completed 500 Internal Server Error in 294ms

ActiveRecord::DangerousAttributeError (changes is defined by ActiveRecord):
  app/controllers/issues_controller.rb:102:in `show'
  • I tried with all plugins disabled
  • I migrated the database after the upgrade (rake db:migrate RAILS_ENV=production), following thie guide : http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
  • Debian 6 x64 on a VM
  • Apache 2 + Phusion Passenger
  • Been using 1.X for long time without any problem.

I would really appreciate any help on this :)

(1-17/17)